CDebugSink Class Reference

`#include <mia/core/msgstream.hh>`

## Public Member Functions

template<class T>
CDebugSink & | operator<< (const T &val)
CDebugSink & | operator<< (std::ostream &(*)(std::ostream &))

## Detailed Description

Definition at line 211 of file msgstream.hh.

## Member Function Documentation

## operator<<() [1/2]

template<class T>

CDebugSink & CDebugSink::operator<< | ( | const T & | val | ) |

inline

Definition at line 215 of file msgstream.hh.

## operator<<() [2/2]

CDebugSink & CDebugSink::operator<< | ( | std::ostream & | *)(std::ostream & | ) |

inline

Definition at line 220 of file msgstream.hh.

The documentation for this class was generated from the following file:

- msgstream.hh